/**
 *
 *  This has to start as sort of an "interface", while I think about things.
 *
 *  TPage has to handle:
 *
 *	- holding layout/coords of each TFrame
 *	- handling add/remove of a TFrame
 *	- organizing RESIZE/reshuffle of TFrame
 *	  (based on up/down/right/left info in the TFrame itself)
 *	- passing through cursorclicks to the right region
 *	- triggering repaint of section of page.
 *	- any other coordinating repaint of TFrames
 *
 *
 *  All this must be done while mostly ignoring how TFrame does what it does.
 *  We are basically a highly customized
 *  Panel+LayoutManager.
 *
 */

class TPage {

	private TFrame [];

	private int width, height;
	Margins margin;

	/**************************************************/


	void setCursor(TCursor tcursor, Point p);
	void setCursor(TCursor tcursor, int row,int column);

	/**
	 * "repaint" routines called by JDoc
	 */
	void repaintRegion(GUIInterface GUI, int mynum,Point start,Point end){
		GUI.clearPixels(mynum, start.x, start.y,end.x, end.y);

		debug("TPage.repaintRegion not done yet");
		
	}

	/**
	 * redraw ENTIRE SUCKER!!
	 */
	void repaintPage(GUI,mynum){
		GUI.clearPixels(mynum, int xstart, int ystart,
				int xend, int yend);

		debug("TPage.repaintPage not done yet");
	}


	void debug(String msg){ System.out.println(msg); }
}
